/*!
UI v0.0.1
MIT License
Copyright (c) 2019 Luummii <mail@luummii.com>
*/

.ui-table {
  /* Remove spacing between table cells (from Normalize.css) */
  border-collapse: collapse;
  border-spacing: 0;
  empty-cells: show;
  border: 1px solid #cbcbcb;

  caption {
    color: $black;
    font: italic 85%/1 arial, sans-serif;
    padding: 1em 0;
    text-align: center;
  }

  td {
    border-left: 1px solid #cbcbcb;/*  inner column border */
    border-width: 0 0 0 1px;
    font-size: inherit;
    margin: 0;
    overflow: visible; /*to make ths where the title is really long work*/
    padding: 0.5em 1em; /* cell padding */

    /*
    striping:
       even - #fff (white)
       odd  - #f2f2f2 (light gray)
    */
    background-color: transparent;

    /* Consider removing this next declaration block, as it causes problems when
    there's a rowspan on the first cell. Case added to the tests. */
    &:first-child {
      border-left-width: 0;
    }
  }

  th {
    border-left: 1px solid #cbcbcb;/*  inner column border */
    border-width: 0 0 0 1px;
    font-size: inherit;
    margin: 0;
    overflow: visible; /*to make ths where the title is really long work*/
    padding: 0.5em 1em; /* cell padding */

    /* Consider removing this next declaration block, as it causes problems when
    there's a rowspan on the first cell. Case added to the tests. */
    &:first-child {
      border-left-width: 0;
    }
  }

  thead {
    background-color: #e0e0e0;
    color: $black;
    text-align: left;
    vertical-align: bottom;
  }
}

.ui-table-odd {
  td {
    background-color: #f2f2f2;
  }
}

/* nth-child selector for modern browsers */
.ui-table-striped tr:nth-child(2n-1) {
  td {
    background-color: #f2f2f2;
  }
}

/* BORDERED TABLES */

.ui-table-bordered {
  td {
    border-bottom: 1px solid #cbcbcb;
  }

  tbody > tr:last-child > td {
    border-bottom-width: 0;
  }
}

/* HORIZONTAL BORDERED TABLES */
.ui-table-horizontal {
  td, th {
    border-width: 0 0 1px 0;
    border-bottom: 1px solid #cbcbcb;
  }

  tbody > tr:last-child > td {
    border-bottom-width: 0;
  }
}